### Method

# Fwupd Client install_release2

since: 1.5.6

#### Declaration [src]

    gboolean
    fwupd_client_install_release2 (
      FwupdClient* self,
      FwupdDevice* device,
      FwupdRelease* release,
      FwupdInstallFlags install_flags,
      FwupdClientDownloadFlags download_flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Installs a new release on a device, downloading the firmware if required.

Available since: 1.5.6

#### Parameters

`device`

  Type: `FwupdDevice`

  A device.

  The data is owned by the caller of the method.

`release`

  Type: `FwupdRelease`

  A release.

  The data is owned by the caller of the method.

`install_flags`

  Type: `FwupdInstallFlags`

  Install flags, e.g. `FWUPD_INSTALL_FLAG_ALLOW_REINSTALL`.

`download_flags`

  Type: `FwupdClientDownloadFlags`

  Download flags, e.g. `FWUPD_CLIENT_DOWNLOAD_FLAG_NONE`.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.